#include<stdio.h>
int main(){
	int n, v, p = -1;
	
	scanf("%d", &n);
	int a[n];
	
	scanf("%d", &v);
	
	for(int i = 0; i<n;i++)scanf("%d", &a[i]);
	
	for(int i = 0; i<n;i++)if(a[i]<=v){
		p = i + 1;
		break;
	}
	printf("%d", p);
}